#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x68ae4798, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x87aa857a, "_gpl");
SYMBOL_CRC(ahci_ops, 0x5bb743e1, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x46083d42, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xa7c34742, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x8dae37e7, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xf0ea638d, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xb80c37da, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x0b921acb, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x742e46d1, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xf01c3960, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x98ad2a59, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x22556653, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xb62ac7e7, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x7f70d4a4, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xd4c5e689, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x931f53e9, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x77de6381, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xba5a469b, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xd77a548a, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xeca76ba6, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x73989792, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x58cf97f8, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xbffd7828, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0d3e530b, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xcdbf4adf, "ata_std_qc_defer" },
	{ 0x7ab525f4, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0x22058e39, "ata_port_classify" },
	{ 0xff893cdd, "ata_qc_complete_multiple" },
	{ 0x943f26e4, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9c17b738, "sata_pmp_error_handler" },
	{ 0x3425fc01, "ata_host_start" },
	{ 0x53c833fa, "devm_request_threaded_irq" },
	{ 0x8136bd4e, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x36ce5d5e, "ata_host_register" },
	{ 0x82aa0d58, "ata_host_activate" },
	{ 0x6eda2148, "ata_dummy_port_ops" },
	{ 0x0460716c, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0xdc9c6a9e, "dmam_alloc_attrs" },
	{ 0xad0155f0, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x62161686, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x4c1d6912, "sata_link_hardreset" },
	{ 0x06ed4892, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf7795752, "sata_lpm_ignore_phy_events" },
	{ 0x09abff21, "ata_ehi_clear_desc" },
	{ 0xfb261aab, "ata_ehi_push_desc" },
	{ 0x54ee12fa, "sata_async_notification" },
	{ 0x25bba58f, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3f88b059, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb1643ff1, "param_ops_int" },
	{ 0xa0b4731c, "param_ops_bool" },
	{ 0xf419cb04, "sata_pmp_port_ops" },
	{ 0x9d3911e3, "dev_attr_sw_activity" },
	{ 0x2822f628, "dev_attr_unload_heads" },
	{ 0x90d19532, "dev_attr_ncq_prio_supported" },
	{ 0x3b5eed3b, "dev_attr_ncq_prio_enable" },
	{ 0x0e78ed78, "dev_attr_link_power_management_policy" },
	{ 0xe37d2ae8, "dev_attr_em_message_type" },
	{ 0x17d734a8, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd1f12d67, "__pm_runtime_resume" },
	{ 0x86a227d9, "__pm_runtime_idle" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x769dff72, "ata_link_next" },
	{ 0x80d090d2, "ata_wait_register" },
	{ 0x6a78e893, "ata_dev_set_feature" },
	{ 0x382b3541, "_dev_info" },
	{ 0x9b42e144, "ata_msleep" },
	{ 0xef09c903, "sata_link_scr_lpm" },
	{ 0x5598b4de, "_dev_err" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "0C6A7C1E0ADD2F318939B06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
