#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x047d1e28, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xb2b1f60e, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x2fae47e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc137cf1c, "drm_mode_probed_add" },
	{ 0x08deff7a, "drm_set_preferred_mode" },
	{ 0x331b7fe5, "pwm_put" },
	{ 0x5bbf370f, "regulator_disable" },
	{ 0x0de80198, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xbdb34e79, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x7c838ac4, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x370c40cb, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xba91c159, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0x6f017e5b, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xbe78be7c, "drm_atomic_helper_check_plane_state" },
	{ 0x336b8d24, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x3ecd398e, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x2d369e10, "drm_dev_unplug" },
	{ 0xd5dfb5fd, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0x1b635d01, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x483d60bb, "drm_gem_fb_begin_cpu_access" },
	{ 0x0016cedd, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x69a07f83, "drm_gem_fb_end_cpu_access" },
	{ 0xa1964208, "drm_fb_xrgb8888_to_gray8" },
	{ 0xad0155f0, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe1c4ced5, "drm_fb_xrgb8888_to_mono" },
	{ 0x3a2e5826, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x110678f8, "regulator_enable" },
	{ 0x5ee7b195, "pwm_get" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0xb901c9ea, "__drm_atomic_helper_crtc_reset" },
	{ 0x8be84d8b, "__drm_gem_reset_shadow_plane" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0xcae10bd3, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xd8c2f8b5, "drm_gem_shmem_dumb_create" },
	{ 0xa3e62757, "drm_fbdev_shmem_driver_fbdev_probe" },
	{ 0xa12c69a0, "noop_llseek" },
	{ 0x9861e551, "drm_read" },
	{ 0x2207ab3a, "drm_poll" },
	{ 0xe62a3749, "drm_ioctl" },
	{ 0x5d0ebd9e, "drm_compat_ioctl" },
	{ 0xf1523f76, "drm_gem_mmap" },
	{ 0x40d57cf3, "drm_open" },
	{ 0x84fc72be, "drm_release" },
	{ 0xcddd86ce, "drm_gem_fb_create_with_dirty" },
	{ 0xd8fdd4ed, "drm_atomic_helper_check" },
	{ 0xcbb9ce6c, "drm_atomic_helper_commit" },
	{ 0xd3459aba, "drm_atomic_helper_connector_reset" },
	{ 0xdc169d66, "drm_helper_probe_single_connector_modes" },
	{ 0x0e8b06cd, "drm_connector_cleanup" },
	{ 0xb8bc05e1, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x5e98ac62, "drm_atomic_helper_connector_destroy_state" },
	{ 0x66c1a6af, "drm_encoder_cleanup" },
	{ 0x3484a8c2, "drm_crtc_cleanup" },
	{ 0xb9e77fbb, "drm_atomic_helper_set_config" },
	{ 0x13d60dae, "drm_atomic_helper_page_flip" },
	{ 0xc9e9b626, "drm_atomic_helper_update_plane" },
	{ 0xf73ec12e, "drm_atomic_helper_disable_plane" },
	{ 0x2d62a334, "drm_plane_cleanup" },
	{ 0x8f13f3b4, "drm_gem_begin_shadow_fb_access" },
	{ 0x81d8b5b8, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d7b61ae, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x25241dbb, "__devm_drm_dev_alloc" },
	{ 0x46abe0fc, "device_get_match_data" },
	{ 0x61288870, "device_property_read_u32_array" },
	{ 0x33ce7830, "device_property_read_u8_array" },
	{ 0xdcc25780, "device_property_read_bool" },
	{ 0x201290b0, "devm_gpiod_get_optional" },
	{ 0x756b8f36, "devm_regulator_get" },
	{ 0x0539a4cf, "devm_backlight_device_register" },
	{ 0x764af8db, "drmm_mode_config_init" },
	{ 0x7fce9f04, "drm_universal_plane_init" },
	{ 0x53c2fbf0, "drm_plane_enable_fb_damage_clips" },
	{ 0xd26b8b98, "drm_crtc_init_with_planes" },
	{ 0xf71ef3c1, "drm_encoder_init" },
	{ 0x6e1d04d3, "drm_connector_init" },
	{ 0xcee71332, "drm_connector_attach_encoder" },
	{ 0x1e3d4f6e, "drm_mode_config_reset" },
	{ 0x342df61b, "drm_dev_register" },
	{ 0x71ac1463, "drm_client_setup" },
	{ 0xac749eb1, "dev_err_probe" },
	{ 0x5598b4de, "_dev_err" },
	{ 0xec6d3217, "drm_mode_duplicate" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AD52A8B39ECA029E2F4B3E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
