#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xbed01bc7, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x313b4504, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xa3718b04, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x3edb4b4b, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x39331774, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x8915a785, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x96bee211, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x252e9850, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xd6c6d91b, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x21da0d4b, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xc897db94, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x13883415, "_gpl");
SYMBOL_CRC(dm_get_md, 0x61b4316f, "_gpl");
SYMBOL_CRC(dm_hold, 0xf80dd998, "_gpl");
SYMBOL_CRC(dm_device_name, 0x4ef915da, "_gpl");
SYMBOL_CRC(dm_put, 0x709136b4, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x117b106e, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xf0980bb4, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xf915b550, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x1a4add69, "_gpl");
SYMBOL_CRC(dm_disk, 0xe96adab2, "_gpl");
SYMBOL_CRC(dm_suspended, 0x2a3e99c3, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x310c0d98, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xdfedf099, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xf3bfb599, "");
SYMBOL_CRC(dm_put_device, 0x709da133, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xefaf062b, "_gpl");
SYMBOL_CRC(dm_table_event, 0xa09b125f, "");
SYMBOL_CRC(dm_table_get_size, 0x4c33c151, "");
SYMBOL_CRC(dm_table_get_mode, 0xca5afb53, "");
SYMBOL_CRC(dm_table_get_md, 0xa3a74cc9, "");
SYMBOL_CRC(dm_table_device_name, 0xf13e6ffb, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x73e4915f, "");
SYMBOL_CRC(dm_register_target, 0xf85504d7, "");
SYMBOL_CRC(dm_unregister_target, 0x66c8b60c, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xc4dc4aa2, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0xed95ef38, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x700afce2, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x8ff623fc, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x157d7d82, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x026f55db, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x60fd0f5f, "init_srcu_struct" },
	{ 0x2461e87c, "__SCK__tp_func_block_bio_remap" },
	{ 0x080a1b9c, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xc986cc91, "blk_revalidate_disk_zones" },
	{ 0xeed7fd81, "up_write" },
	{ 0x938f2f8b, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x7fd032b8, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd4d5f67f, "set_capacity" },
	{ 0x78199525, "submit_bio_noacct" },
	{ 0xa12c69a0, "noop_llseek" },
	{ 0x32a460e8, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x95e990a9, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xe29d3445, "kmem_cache_free" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xc8a772bd, "dax_remove_host" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x7829ce9c, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x857a339c, "dax_recovery_write" },
	{ 0x9b28d01e, "bdev_freeze" },
	{ 0xd6ce7dfd, "wait_for_completion_io" },
	{ 0xced6a6ad, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xaa487cfd, "kobject_init_and_add" },
	{ 0x4f6545ec, "zero_fill_bio_iter" },
	{ 0xd718fab9, "bio_add_page" },
	{ 0x9fed8c11, "crypto_shash_update" },
	{ 0x5efb9a84, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x22e9ff3f, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb16a8439, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2ae98aff, "bdev_file_open_by_dev" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xa339fea6, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5afb4c0d, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0b9041e, "bio_alloc_clone" },
	{ 0x9e84f7d4, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1276b2a6, "misc_register" },
	{ 0xaf9ee03c, "blk_crypto_evict_key" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9eab2347, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x78b5334b, "blk_insert_cloned_request" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xff00db12, "__kmem_cache_create_args" },
	{ 0x0eddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9466ef11, "audit_log_start" },
	{ 0xd0ecc06b, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x023556c6, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x57d8cf44, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xf9ff48d3, "bio_uninit" },
	{ 0x6a0fc768, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xa0b4731c, "param_ops_bool" },
	{ 0x9ebc0c67, "bioset_init" },
	{ 0x0c2ff299, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2879204f, "__srcu_read_unlock" },
	{ 0x08135613, "dax_write_cache" },
	{ 0x9a66fc0f, "__tracepoint_block_bio_remap" },
	{ 0xe036fa2f, "__tracepoint_block_rq_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa9211c18, "bd_link_disk_holder" },
	{ 0x4105fe07, "blk_mq_start_request" },
	{ 0x8a346ed0, "alloc_pages_noprof" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x07242d92, "put_dax" },
	{ 0x57507286, "file_bdev" },
	{ 0x36bbd897, "queue_limits_stack_integrity" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xec32995d, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5e2e7a03, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xca86296d, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x98f75412, "blk_zone_plug_bio" },
	{ 0xb1643ff1, "param_ops_int" },
	{ 0xc00c3b2e, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x02e46322, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf2849d65, "queue_limits_set" },
	{ 0x787e379f, "bio_alloc_bioset" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0xbb53856b, "up_read" },
	{ 0x8689a47f, "blk_mq_requeue_request" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9b957763, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x46871643, "bdev_end_io_acct" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9c400fff, "kmem_cache_destroy" },
	{ 0x7f86432a, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5b4cc4a, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc33339c4, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x32b6680f, "set_disk_ro" },
	{ 0x8766c0fa, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3709e953, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xc64ea8bc, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa67f75a6, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xd4c6953c, "param_ops_uint" },
	{ 0x18026226, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x15217b57, "bio_split_to_limits" },
	{ 0xaeef5a97, "vmalloc_to_page" },
	{ 0x5c22df7c, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0xd8040142, "fs_dax_get_by_bdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x78d8ea0c, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x58ce742c, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x20c54504, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9233c07b, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x13d98902, "dm_kobject_release" },
	{ 0xbfc97bdc, "up" },
	{ 0x25238256, "blk_rq_prep_clone" },
	{ 0x4d3448fb, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0xa7e86674, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x9cf5eae0, "blk_crypto_profile_init" },
	{ 0xe97425f0, "pcpu_hot" },
	{ 0x39e79976, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x377c776d, "blk_rq_unprep_clone" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa8cbca2e, "synchronize_srcu" },
	{ 0x88e14f0c, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8753a38b, "bdev_thaw" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xce37d45c, "alloc_dax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96133c81, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xf1cae920, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x463060e9, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0xd21a6a21, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x21ae6d92, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xe7ee9b48, "blk_crypto_register" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xe4a7e342, "bio_integrity_trim" },
	{ 0x01000e51, "schedule" },
	{ 0xbb0fcf5e, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x537851ec, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8a05654, "__SCK__tp_func_block_split" },
	{ 0x618911fc, "numa_node" },
	{ 0xb61b1fc0, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf3ea2926, "__free_pages" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xbe30c78b, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1bab2f2a, "submit_bio" },
	{ 0xe185796b, "blk_crypto_has_capabilities" },
	{ 0x8160128f, "dax_add_host" },
	{ 0x979a0403, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3eacd4ca, "blk_mq_init_allocated_queue" },
	{ 0x8b2ab033, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x0d5cecc6, "ima_measure_critical_data" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe033904f, "mempool_alloc_noprof" },
	{ 0x2bad95d1, "kobject_uevent_env" },
	{ 0x823fd69f, "bio_put" },
	{ 0xc7a7c24f, "blk_crypto_intersect_capabilities" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "81F5B38B9A0FF76A45967C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
