#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x2588e735, "");
SYMBOL_CRC(gspca_dev_probe2, 0x7de0eb50, "");
SYMBOL_CRC(gspca_dev_probe, 0x10e196f2, "");
SYMBOL_CRC(gspca_disconnect, 0x49958039, "");
SYMBOL_CRC(gspca_suspend, 0x2e4e2f0e, "");
SYMBOL_CRC(gspca_resume, 0x4aaf7a65, "");
SYMBOL_CRC(gspca_expo_autogain, 0xc5f2ea74, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0xab3bc8cd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6399f936, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe4d58c9e, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5399dd96, "__v4l2_ctrl_s_ctrl" },
	{ 0x9f3cabd2, "vb2_ioctl_dqbuf" },
	{ 0xeac470b8, "usb_free_coherent" },
	{ 0x74c58bda, "vb2_ioctl_create_bufs" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbaef1b05, "vb2_buffer_done" },
	{ 0x77fdab42, "vb2_plane_vaddr" },
	{ 0xd61d4a1b, "v4l2_ctrl_subscribe_event" },
	{ 0x61a27251, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x218f40ca, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe940c26d, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd1efe1ed, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeaba7715, "vb2_vmalloc_memops" },
	{ 0xb07c57ef, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xffe71a2d, "vb2_fop_read" },
	{ 0x65b5e168, "v4l2_device_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc8caf710, "__video_register_device" },
	{ 0x0a77c1a4, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xae49a995, "vb2_ioctl_streamon" },
	{ 0x8653cf42, "vb2_fop_poll" },
	{ 0x9735c1f2, "v4l2_ctrl_g_ctrl" },
	{ 0x50a3ec72, "v4l2_ctrl_handler_free" },
	{ 0xb271b312, "v4l2_device_unregister" },
	{ 0xb1643ff1, "param_ops_int" },
	{ 0xd48a62ee, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc2814648, "v4l2_event_unsubscribe" },
	{ 0x7ab8ea90, "vb2_ioctl_reqbufs" },
	{ 0x728c99b3, "vb2_queue_init" },
	{ 0x9258cc9c, "input_allocate_device" },
	{ 0x4d5b35ed, "usb_alloc_urb" },
	{ 0x26bb6a91, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9300177c, "usb_free_urb" },
	{ 0xa7d73c94, "v4l2_device_put" },
	{ 0x6fc3d60b, "vb2_ioctl_streamoff" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x3070b7cc, "usb_alloc_coherent" },
	{ 0xfccbb45c, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5871b800, "usb_ifnum_to_if" },
	{ 0xd005f0bd, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x84d091c8, "vb2_ioctl_querybuf" },
	{ 0x56cb12fc, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x412531b9, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xcbb90d04, "usb_clear_halt" },
	{ 0xc4e120af, "v4l2_ctrl_handler_setup" },
	{ 0x2d66b8ac, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0f021a4e, "video_devdata" },
	{ 0x04c638bd, "vb2_queue_error" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "DEE20B11ED5723876F1CB2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
