#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0xaa6e2015, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x2d9872cf, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x8ef63ca6, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x90a40522, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x2013a772, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x5318d9fc, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x364b165d, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0xa645628e, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0xb32a474d, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x5ab223ab, "_gpl");
SYMBOL_CRC(__v4l2_async_register_subdev, 0x97700ea1, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0xcce094a0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x27973796, "i2c_verify_client" },
	{ 0xdd59b684, "debugfs_create_dir" },
	{ 0xcc6239dd, "debugfs_create_file_full" },
	{ 0x1a6bca18, "single_open" },
	{ 0x7d7723a3, "debugfs_remove" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x394c8403, "seq_printf" },
	{ 0x640a0ee2, "fwnode_property_present" },
	{ 0xa5f84702, "fwnode_graph_get_port_parent" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xed12d13f, "fwnode_handle_get" },
	{ 0x037a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5abfc2ca, "v4l2_device_unregister_subdev" },
	{ 0x052f57c0, "v4l2_subdev_put_privacy_led" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x54aa236c, "fwnode_graph_get_remote_endpoint" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0xb6308bf3, "__dev_fwnode" },
	{ 0x01aae02a, "__v4l2_device_register_subdev" },
	{ 0x9b6d653d, "media_create_ancillary_link" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5598b4de, "_dev_err" },
	{ 0xf6217556, "seq_lseek" },
	{ 0xd155b92f, "seq_read" },
	{ 0xda2845c3, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "5BA6B5B7A07FBD1A4525A8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
