#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0xa3b21eaa, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0xa3daca8d, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x59ce3c9a, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x84711c35, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x5ed0caa4, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x100bb432, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0x3977b94c, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0x3810989c, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0x1e05bf60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x29770e90, "fwnode_property_read_u32_array" },
	{ 0x640a0ee2, "fwnode_property_present" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x99ac45ee, "fwnode_graph_parse_endpoint" },
	{ 0x037a0cba, "kfree" },
	{ 0xb73e3dd5, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6308bf3, "__dev_fwnode" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0xb901fe6f, "fwnode_property_get_reference_args" },
	{ 0x5318d9fc, "__v4l2_async_nf_add_fwnode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x08d0a962, "fwnode_get_next_child_node" },
	{ 0x757ac9a9, "fwnode_property_read_u64_array" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0x2d9872cf, "v4l2_async_subdev_nf_init" },
	{ 0x1c9552a2, "v4l2_subdev_get_privacy_led" },
	{ 0x54bf8361, "is_acpi_device_node" },
	{ 0x49ee1112, "is_acpi_data_node" },
	{ 0x8ef63ca6, "v4l2_async_nf_register" },
	{ 0x97700ea1, "__v4l2_async_register_subdev" },
	{ 0x90a40522, "v4l2_async_nf_unregister" },
	{ 0x052f57c0, "v4l2_subdev_put_privacy_led" },
	{ 0x2013a772, "v4l2_async_nf_cleanup" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa5f84702, "fwnode_graph_get_port_parent" },
	{ 0xcaad0647, "fwnode_get_name" },
	{ 0x09d1083d, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x54aa236c, "fwnode_graph_get_remote_endpoint" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "C24F7B8EF619B9F522BFBDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
