#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x556e4390, "clk_get_rate" },
	{ 0xabac1fb2, "ptp_cancel_worker_sync" },
	{ 0x520f183e, "genphy_soft_reset" },
	{ 0x376198dc, "genphy_read_mmd_unsupported" },
	{ 0x10545b00, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x196bb0c5, "phy_drivers_register" },
	{ 0xa700490e, "mdiobus_read" },
	{ 0x149f14c7, "mdiobus_write" },
	{ 0x330cf842, "genphy_read_status" },
	{ 0x8a0dda4e, "phy_modify" },
	{ 0x0aa763e3, "genphy_read_abilities" },
	{ 0x3eaf94e4, "phy_read_mmd" },
	{ 0x6bb434b1, "phy_write_mmd" },
	{ 0x8d24c0a0, "genphy_restart_aneg" },
	{ 0x0e6e3630, "phy_trigger_machine" },
	{ 0x81f927f1, "phy_error" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xce8de031, "ptp_classify_raw" },
	{ 0xb6ee849c, "ptp_parse_header" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x8f51671a, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7813bb76, "__mdiobus_write" },
	{ 0x6e331bf4, "__mdiobus_read" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5598b4de, "_dev_err" },
	{ 0x242876f1, "ethnl_cable_test_result_with_src" },
	{ 0xb47549ed, "ethnl_cable_test_fault_length_with_src" },
	{ 0xf9a482f9, "msleep" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x524f2ccc, "phy_drivers_unregister" },
	{ 0x103fd578, "genphy_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x0ba276a0, "__genphy_config_aneg" },
	{ 0xeb5c36fd, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xda480f2b, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x21a50800, "phy_modify_mmd" },
	{ 0x0f32f843, "skb_queue_purge_reason" },
	{ 0xa40f0c1c, "ptp_find_pin_unlocked" },
	{ 0x241aec54, "ptp_clock_event" },
	{ 0x7444e618, "ptp_find_pin" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0x8e9811f4, "devm_phy_package_join" },
	{ 0x201290b0, "devm_gpiod_get_optional" },
	{ 0xbaad076b, "gpiod_set_consumer_name" },
	{ 0x3a2e5826, "gpiod_set_value_cansleep" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3a41de4c, "ptp_clock_register" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0x5d1fe021, "genphy_suspend" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x590dbeb0, "phy_disable_eee" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0xa0972089, "skb_push" },
	{ 0x4b8742f7, "netif_rx" },
	{ 0x037a0cba, "kfree" },
	{ 0xef96d078, "skb_dump" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4a214b18, "devm_clk_get_optional_enabled" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "C396D884909D44EC3C6F0DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
