#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x67fb451c, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0xc1006a86, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x3ce1a1e6, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x62a69cc7, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0xeb472748, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x0081382d, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0x753f1288, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x330cf842, "genphy_read_status" },
	{ 0x149f14c7, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0xb887ed52, "device_property_present" },
	{ 0x55f667eb, "devm_clk_get_optional_enabled_with_rate" },
	{ 0xac749eb1, "dev_err_probe" },
	{ 0x196bb0c5, "phy_drivers_register" },
	{ 0x3eaf94e4, "phy_read_mmd" },
	{ 0x0ba276a0, "__genphy_config_aneg" },
	{ 0x8a0dda4e, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x520f183e, "genphy_soft_reset" },
	{ 0x524f2ccc, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x6bb434b1, "phy_write_mmd" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x382b3541, "_dev_info" },
	{ 0x5d1fe021, "genphy_suspend" },
	{ 0x103fd578, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa700490e, "mdiobus_read" },
	{ 0x0e6e3630, "phy_trigger_machine" },
	{ 0x81f927f1, "phy_error" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "FD064005EC667A6BA9923A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
