#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");
KSYMTAB_FUNC(ipw_wx_set_spy, "", "");
KSYMTAB_FUNC(ipw_wx_get_spy, "", "");
KSYMTAB_FUNC(ipw_wx_set_thrspy, "", "");
KSYMTAB_FUNC(ipw_wx_get_thrspy, "", "");
KSYMTAB_FUNC(libipw_crypt_info_init, "", "");
KSYMTAB_FUNC(libipw_crypt_info_free, "", "");
KSYMTAB_FUNC(libipw_crypt_delayed_deinit, "", "");
KSYMTAB_FUNC(libipw_register_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_unregister_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_get_crypto_ops, "", "");

SYMBOL_CRC(libipw_networks_age, 0x146f7871, "");
SYMBOL_CRC(alloc_libipw, 0x51bf3fa6, "");
SYMBOL_CRC(free_libipw, 0x015e3967, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x725dae14, "");
SYMBOL_CRC(libipw_txb_free, 0xfa7ac9f5, "");
SYMBOL_CRC(libipw_rx_any, 0x60ce936c, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xf5e33455, "");
SYMBOL_CRC(libipw_rx, 0x8b73dc41, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x6f141b28, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x2e99f429, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x68097717, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xc5b80b4b, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xe64debe4, "");
SYMBOL_CRC(libipw_get_channel, 0x4e373929, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x44dacba2, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x84b5ff24, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x56756bca, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x9af4db1a, "");
SYMBOL_CRC(libipw_channel_to_index, 0x9ae11e55, "");
SYMBOL_CRC(libipw_set_geo, 0x9b0c2ec0, "");
SYMBOL_CRC(libipw_get_geo, 0xccfc43d8, "");
SYMBOL_CRC(ipw_wx_set_spy, 0x99ea649c, "");
SYMBOL_CRC(ipw_wx_get_spy, 0x4d27568d, "");
SYMBOL_CRC(ipw_wx_set_thrspy, 0x99dc5a26, "");
SYMBOL_CRC(ipw_wx_get_thrspy, 0x8c9d79c9, "");
SYMBOL_CRC(libipw_crypt_info_init, 0x96861fd8, "");
SYMBOL_CRC(libipw_crypt_info_free, 0x5fbe6e36, "");
SYMBOL_CRC(libipw_crypt_delayed_deinit, 0xb3391f05, "");
SYMBOL_CRC(libipw_register_crypto_ops, 0xa3ba0c2f, "");
SYMBOL_CRC(libipw_unregister_crypto_ops, 0xacf6c76b, "");
SYMBOL_CRC(libipw_get_crypto_ops, 0xc6752769, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x979a0403, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x691daeaa, "crypto_aead_setkey" },
	{ 0x8734bb89, "init_net" },
	{ 0xce3e400c, "crypto_shash_setkey" },
	{ 0xa9479b21, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x052d239f, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0xa0972089, "skb_push" },
	{ 0x4e5a87fd, "wireless_send_event" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3215c179, "free_netdev" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9fed8c11, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xdaff985f, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x04d24402, "iwe_stream_add_point" },
	{ 0x4b8742f7, "netif_rx" },
	{ 0x7935ab48, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x826b255b, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd155b92f, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xea335d6e, "crc32_le_arch" },
	{ 0x6a0fc768, "crypto_shash_final" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xde5280d0, "remove_proc_entry" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x394c8403, "seq_printf" },
	{ 0xda2845c3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd2123bfc, "dev_kfree_skb_any_reason" },
	{ 0xb1643ff1, "param_ops_int" },
	{ 0x1a6bca18, "single_open" },
	{ 0x02e46322, "crypto_alloc_shash" },
	{ 0x256d5e4f, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe984f15a, "alloc_etherdev_mqs" },
	{ 0x3709e953, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x865c55dd, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x2cb8fcb4, "proc_create" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6217556, "seq_lseek" },
	{ 0xcce6455d, "crypto_alloc_aead" },
	{ 0xabce517f, "dev_kfree_skb_irq_reason" },
	{ 0x7fcd31af, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x72ec1967, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x463060e9, "crypto_destroy_tfm" },
	{ 0x011f6dd0, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x47406e44, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "libarc4,cfg80211");


MODULE_INFO(srcversion, "C8FFC566263669E7159E0B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
