#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0xca2d2b60, "");
SYMBOL_CRC(rtw_sdio_probe, 0xd74ed3aa, "");
SYMBOL_CRC(rtw_sdio_remove, 0xecc3441e, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0xbece00ec, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x05d53f1b, "sdio_set_host_pm_flags" },
	{ 0x4258141f, "rtw_chip_info_setup" },
	{ 0x6097e618, "ieee80211_purge_tx_queue" },
	{ 0xa6aff172, "rtw_unregister_hw" },
	{ 0x5598b4de, "_dev_err" },
	{ 0xa9479b21, "skb_pull" },
	{ 0x65aa42f2, "rtw_tx_fill_tx_desc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa0972089, "skb_push" },
	{ 0x3ce1b2cc, "rtw_core_init" },
	{ 0x42a8a746, "sdio_readl" },
	{ 0x63e890f0, "ieee80211_alloc_hw_nm" },
	{ 0xdb1df69f, "rtw_update_rx_freq_from_ie" },
	{ 0x94e825c3, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0x737e9c51, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7935ab48, "__netdev_alloc_skb" },
	{ 0xd96645c1, "rtw_rx_stats" },
	{ 0x34e69023, "rtw_register_hw" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0x769d2cd8, "rtw_dbg" },
	{ 0xbfcedf9f, "rtw_core_deinit" },
	{ 0x57129b63, "rtw_ops" },
	{ 0x267a7b98, "sdio_claim_irq" },
	{ 0xdc383f23, "skb_copy_header" },
	{ 0xe30a450b, "sdio_enable_func" },
	{ 0xd2123bfc, "dev_kfree_skb_any_reason" },
	{ 0x37aa87a6, "rtw_power_mode_change" },
	{ 0xf899b44b, "rtw_tx_write_data_h2c_get" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0xb68d6bb8, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xedb16e5d, "ieee80211_rx_irqsafe" },
	{ 0x8f38f761, "rtw_rx_query_rx_desc" },
	{ 0x9ec196cf, "skb_queue_head" },
	{ 0x1e2ceae4, "sdio_readb" },
	{ 0xd447e5cb, "sdio_writeb" },
	{ 0xa88ea1bb, "rtw_tx_report_enqueue" },
	{ 0x7fe14cda, "sdio_release_host" },
	{ 0x1037bf8d, "rtw_tx_queue_mapping" },
	{ 0xe726a01b, "sdio_disable_func" },
	{ 0xd2ce8ebe, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x865c55dd, "skb_put" },
	{ 0x06241437, "sdio_claim_host" },
	{ 0xa190761d, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x0c0ca831, "skb_dequeue" },
	{ 0xf8b33905, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x79b184d0, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x147feb24, "sdio_align_size" },
	{ 0x2eb745b8, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a7208bc, "sdio_release_irq" },
	{ 0xb61b1fc0, "const_pcpu_hot" },
	{ 0xff51b28c, "skb_queue_tail" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "BAFC9B7482B0340D134CCCA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
