#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0x25344904, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x3a0b5bea, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0x1c4f62e3, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0xa93d7693, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0xdc2c61e8, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x087d4a81, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0x6c8c0f8b, "_gpl");
SYMBOL_CRC(idxd_drv, 0xdc97df7c, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0x7bd83fc5, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0x144bd3c9, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x630a8269, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x61ce25c7, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x3ba67b1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6573f300, "ida_free" },
	{ 0x2272783a, "iommu_alloc_global_pasid" },
	{ 0x41a73b7d, "perf_pmu_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc13f8a79, "pci_iounmap" },
	{ 0x2a4052d5, "pci_restore_state" },
	{ 0x15fcf58c, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe1ca8eec, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0x9e84f7d4, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4817bf75, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x3bf8abf6, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9eab2347, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xea5cdde3, "dma_async_device_register" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xff00db12, "__kmem_cache_create_args" },
	{ 0xe8eaa611, "pci_reset_function" },
	{ 0xfa5decb1, "iommu_attach_device_pasid" },
	{ 0x4b705841, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xbb3ee350, "dma_set_coherent_mask" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0xd155b92f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x89a7ef78, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x43b7ea1b, "sbitmap_finish_wait" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd3c470fd, "dma_async_device_channel_register" },
	{ 0xa0b4731c, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0x996daf5d, "dma_async_tx_descriptor_init" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0x394c8403, "seq_printf" },
	{ 0x2a5d6a7e, "device_match_name" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0xcc6239dd, "debugfs_create_file_full" },
	{ 0x6eddd4ca, "pci_disable_device" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0xda2845c3, "single_release" },
	{ 0x42d99170, "dma_set_mask" },
	{ 0x09aaa7cc, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe5bcd3c1, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1a6bca18, "single_open" },
	{ 0xdd59b684, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbd8558da, "__sbitmap_queue_get" },
	{ 0xf7a03b3d, "pci_free_irq_vectors" },
	{ 0xd9f07dac, "idxd_driver_unregister" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0x90a1e855, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x9c400fff, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2a8d73d4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5a7583cd, "pci_msix_vec_count" },
	{ 0xc970e791, "pci_enable_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0x41b54258, "dev_set_name" },
	{ 0x8e6202ff, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x67fc6db7, "dma_async_device_unregister" },
	{ 0x4b7c8650, "pci_alloc_irq_vectors" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xae46941f, "device_driver_attach" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x7ec16e40, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8dec6431, "cdev_device_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0xdfa7c635, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf505c0c4, "__kmalloc_node_noprof" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9ed8db44, "__pci_register_driver" },
	{ 0x4330caad, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedb88fb5, "device_initialize" },
	{ 0xee10d8d6, "dsa_bus_type" },
	{ 0xe52e7688, "iommu_dev_disable_feature" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcaaac976, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xe97425f0, "pcpu_hot" },
	{ 0xf6217556, "seq_lseek" },
	{ 0x05b5bae1, "iommu_sva_bind_device" },
	{ 0x485476fd, "iommu_detach_device_pasid" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x6b7473a4, "pci_irq_vector" },
	{ 0xd3c2dc33, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xa6876235, "pci_unregister_driver" },
	{ 0x10106c9b, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54d98956, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xea461a06, "sbitmap_prepare_to_wait" },
	{ 0x0ed963fe, "cdev_device_add" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3535927f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0xae53779f, "iommu_dev_enable_feature" },
	{ 0xb61b1fc0, "const_pcpu_hot" },
	{ 0x382b3541, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x638ea8f3, "__idxd_driver_register" },
	{ 0xbacbec65, "iommu_get_domain_for_dev" },
	{ 0xcc789035, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x5598b4de, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x21c78029, "bus_find_device" },
	{ 0x6cc54966, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xe29d3445, "kmem_cache_free" },
	{ 0x94d1d899, "dma_alloc_attrs" },
	{ 0x7d7723a3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x0b8f9e00, "dma_async_device_channel_unregister" },
	{ 0xc4b4a485, "seq_putc" },
	{ 0x626a7972, "iommu_sva_unbind_device" },
	{ 0x0ba903b6, "sbitmap_queue_clear" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000B02Dsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E81C2B1D5ED4CF77F1A00AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
