#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x47dc31c3, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x034c8a92, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x0d0ca432, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0xbe844254, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x9af77d4d, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0xb3bc2379, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x8909d815, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x210afe1e, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0xd06a6cb6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x037a0cba, "kfree" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfb578fc5, "memset" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x2b14f37b, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0xb0a823cb, "hid_hw_open" },
	{ 0x5598b4de, "_dev_err" },
	{ 0xf0b87da5, "hid_hw_close" },
	{ 0x9866ce53, "__hid_register_driver" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0x065b45cb, "complete" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x477bb69d, "hid_hw_stop" },
	{ 0xb91d922e, "device_for_each_child" },
	{ 0x019e02b5, "mfd_remove_devices" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x38cf9aa5, "hid_unregister_driver" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x33b7228d, "hid_open_report" },
	{ 0x3aae9450, "hid_hw_start" },
	{ 0x9c012c65, "devm_kasprintf" },
	{ 0x08dac02e, "mfd_add_devices" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x54b64f2c, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "642BB7CA54554B8EE285C5C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
