#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_regulator_init_cb, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0xd99d1e01, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x9ec6b6c2, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0xdecb4b38, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xbe4e6b4d, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x0f2c8e6d, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0xa2ffaee8, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x0190a9cc, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xd0369a76, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x0603e960, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xcf517c4b, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x892ddf2f, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x91af9a16, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xdca77b0b, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xb2cf2f9e, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0xf2f9a4b5, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xf2012572, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x17d4feae, "_gpl");
SYMBOL_CRC(pmbus_regulator_init_cb, 0x6aa6930f, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x3bd200fb, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xb609fdd3, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x3835cf30, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0xcb4db2a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x083c03cf, "i2c_smbus_read_word_data" },
	{ 0x44019243, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9fb7dba9, "sysfs_notify" },
	{ 0x11109f85, "kobject_uevent" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0x28237bbd, "rdev_get_dev" },
	{ 0x6ad2e645, "rdev_get_id" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa38681cf, "regulator_notifier_call_chain" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9166fada, "strncpy" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc197a293, "i2c_smbus_xfer" },
	{ 0x5598b4de, "_dev_err" },
	{ 0x79d78bb7, "device_create_file" },
	{ 0x98ab2088, "__devm_add_action" },
	{ 0x9ccffd4c, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0xea9c1da9, "devm_hwmon_device_register_with_groups" },
	{ 0x6fb81176, "devm_regulator_register" },
	{ 0xac749eb1, "dev_err_probe" },
	{ 0x53c833fa, "devm_request_threaded_irq" },
	{ 0xcc6239dd, "debugfs_create_file_full" },
	{ 0x96848186, "scnprintf" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0xa12c69a0, "noop_llseek" },
	{ 0xa04222e7, "simple_open" },
	{ 0xa41e0114, "debugfs_attr_read" },
	{ 0xe32078e6, "debugfs_attr_write" },
	{ 0x29841bf4, "simple_attr_release" },
	{ 0xb1643ff1, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7f0c4cf6, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9f6c4e57, "devm_krealloc" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdd59b684, "debugfs_create_dir" },
	{ 0x7d7723a3, "debugfs_remove" },
	{ 0x1b364443, "simple_attr_open" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2a195401, "i2c_smbus_write_byte_data" },
	{ 0x32d2a3d2, "i2c_smbus_read_byte_data" },
	{ 0xd7d89f99, "i2c_smbus_write_byte" },
	{ 0xe803d4ed, "i2c_smbus_write_word_data" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "951FB24E6E2E97F24E8C7E2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
