#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x6fe02a65, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x1dc2605f, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x684c3e7d, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0x8bc367d0, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x47d1bf94, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x5a82bbb0, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0xc73b2ec7, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x4a08618f, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0xe49466e1, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x0023f57f, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x5f5ba5ea, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xb7dae8ba, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0xe7c02317, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0xae926495, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0xf1ea3400, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x45a43562, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x6bfc31ea, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x42d1f5ef, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0xb21221df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x7b8221e0, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf715a6ca, "i2c_del_adapter" },
	{ 0xd07dfe19, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb2fb0569, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb9feb2ec, "dvb_ca_en50221_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe1ad5ac8, "rc_register_device" },
	{ 0x94d1d899, "dma_alloc_attrs" },
	{ 0xb6eda23b, "rc_keydown" },
	{ 0x91ce3584, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb9043e18, "dvb_dmx_swfilter" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x128bb66e, "dvb_dmxdev_release" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x4f083c7d, "param_ops_short" },
	{ 0x008aa04f, "rc_free_device" },
	{ 0x4817bf75, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xaa2277c7, "dvb_frontend_detach" },
	{ 0x7aa6f599, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb3ee350, "dma_set_coherent_mask" },
	{ 0xa4753ee0, "dvb_net_release" },
	{ 0x03d30f3a, "dvb_ca_en50221_camready_irq" },
	{ 0x2dddc19f, "rc_allocate_device" },
	{ 0x89a7ef78, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x762a5ff0, "dvb_unregister_frontend" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x8646f632, "dvb_ca_en50221_camchange_irq" },
	{ 0x134b7d2a, "i2c_transfer" },
	{ 0x6eddd4ca, "pci_disable_device" },
	{ 0x68d3a5df, "dvb_register_frontend" },
	{ 0x88840fc4, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x42cde3b6, "dvb_unregister_adapter" },
	{ 0xbdaa4c63, "dvb_dmx_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd8c138ff, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcbebbf3a, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0xc970e791, "pci_enable_device" },
	{ 0x633258c8, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0xb59eff80, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
