#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x16cd03dd, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x76172907, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x6af23528, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x1681c0f9, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x8cae2d1b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60c01f26, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x567cd943, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x12911712, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdd311544, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x903d01ed, "netif_tx_stop_all_queues" },
	{ 0x2a4052d5, "pci_restore_state" },
	{ 0x3cf445b6, "bpf_trace_run1" },
	{ 0xc76a52ba, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x15fcf58c, "device_del" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x95d43cdb, "dcb_getapp" },
	{ 0x0ad69f87, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0xa8f64a74, "flow_rule_match_ports" },
	{ 0xebb22c45, "gnss_allocate_device" },
	{ 0x1813a62f, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x241aec54, "ptp_clock_event" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x45a5daa5, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x4817bf75, "pci_set_master" },
	{ 0x323c66c0, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xe9142840, "flow_rule_match_ipv6_addrs" },
	{ 0x02aee172, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x0d2a5faf, "devl_params_unregister" },
	{ 0x184d1698, "ptp_clock_unregister" },
	{ 0xa0ceb28c, "__pskb_pull_tail" },
	{ 0x1b553ef5, "xp_dma_unmap" },
	{ 0x6c499dbb, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x81ca5ac0, "kthread_create_worker_on_node" },
	{ 0xc70408ef, "switchdev_handle_port_obj_add" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb1d962f4, "devl_unlock" },
	{ 0x4178cb46, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x68296b4f, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb3ee350, "dma_set_coherent_mask" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x04718a6c, "flow_rule_match_pppoe" },
	{ 0x023556c6, "pv_ops" },
	{ 0x59b1c92b, "flow_rule_match_enc_control" },
	{ 0x1d44ef82, "bpf_trace_run3" },
	{ 0xd155b92f, "seq_read" },
	{ 0xa272e58d, "__page_frag_cache_drain" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdc4373fa, "_dev_notice" },
	{ 0x3a78bbe3, "gnss_deregister_device" },
	{ 0x0e46aa9f, "rps_may_expire_flow" },
	{ 0x8b7933b3, "metadata_dst_free" },
	{ 0xfc6c31a5, "xsk_set_tx_need_wakeup" },
	{ 0x53b4629d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5cf051d9, "netdev_reset_tc" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0xd095dc37, "trace_event_buffer_reserve" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x18169731, "kthread_destroy_worker" },
	{ 0xa3a244ea, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5f354c98, "flow_rule_match_enc_ports" },
	{ 0x5d88c263, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xf1ffa7fa, "dpll_netdev_pin_clear" },
	{ 0xd769d566, "netif_queue_set_napi" },
	{ 0xa22701b0, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0x032d5e47, "call_netdevice_notifiers" },
	{ 0x9a6e7b63, "xa_find" },
	{ 0x2191791f, "devl_assert_locked" },
	{ 0xcfd04435, "pcie_print_link_status" },
	{ 0x1f83fa04, "xp_set_rxq_info" },
	{ 0xb32fe55f, "flow_rule_match_vlan" },
	{ 0x74c878ed, "devl_port_unregister" },
	{ 0x09e554eb, "xdp_rxq_info_unreg" },
	{ 0xa0788f9a, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xf0d745d7, "napi_build_skb" },
	{ 0x0f0fb124, "netdev_master_upper_dev_get_rcu" },
	{ 0xe3dd176c, "__xdp_rxq_info_reg" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0x7a359f18, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x018812b6, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x394c8403, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xd532ce15, "dpll_pin_register" },
	{ 0xcd400443, "gnss_register_device" },
	{ 0xa8857036, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa350313, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x447e13d0, "__hw_addr_sync_dev" },
	{ 0x6fbef3fc, "pci_disable_sriov" },
	{ 0xaedec03f, "pldmfw_flash_image" },
	{ 0xa8203259, "kthread_queue_delayed_work" },
	{ 0x664b6017, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5b38bdcb, "dst_release" },
	{ 0x1e66f5d2, "netif_carrier_on" },
	{ 0xa6a6914d, "netdev_set_num_tc" },
	{ 0xfef635ef, "dpll_device_register" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x4deb8c4f, "hwmon_device_unregister" },
	{ 0xcc6239dd, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x99ec8918, "dev_uc_add_excl" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x266eb9df, "xp_free" },
	{ 0xddda698d, "dev_mc_add_excl" },
	{ 0xbaf521a2, "gnss_put_device" },
	{ 0xda2845c3, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x42d99170, "dma_set_mask" },
	{ 0x38bde11b, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3c38f7e, "pack_fields_u8" },
	{ 0x7ec698cd, "netif_set_tso_max_size" },
	{ 0x45cfb04c, "__skb_flow_dissect" },
	{ 0xfd11ac07, "vlan_dev_vlan_id" },
	{ 0xe0e2e8aa, "pci_msix_alloc_irq_at" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x233174fa, "skb_add_rx_frag_netmem" },
	{ 0x9fa17f05, "xa_find_after" },
	{ 0xd14e5bc6, "pcim_iomap_table" },
	{ 0x5ccf98ec, "xdp_master_redirect" },
	{ 0x98ab2088, "__devm_add_action" },
	{ 0x50c175e0, "dpll_pin_on_pin_register" },
	{ 0x1ca85b2c, "napi_schedule_prep" },
	{ 0xa4a9e314, "napi_consume_skb" },
	{ 0x88840fc4, "pci_read_config_byte" },
	{ 0xbd165436, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xfd1013de, "napi_disable" },
	{ 0xd2123bfc, "dev_kfree_skb_any_reason" },
	{ 0x3a85c33b, "dcb_ieee_delapp" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xb1643ff1, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1a6bca18, "single_open" },
	{ 0xc9f4b56f, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x947c437a, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xdd59b684, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf7a03b3d, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6f6c1444, "flow_rule_match_control" },
	{ 0x044a0127, "flow_rule_match_ip" },
	{ 0x7a4136d6, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf80c3ea8, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xd94333ac, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8e863841, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xc936ca5b, "netdev_info" },
	{ 0xef96d078, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xab8962a1, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4f4a686d, "__tracepoint_xdp_exception" },
	{ 0xe849a92b, "xsk_tx_completed" },
	{ 0xbeda9f6e, "napi_alloc_skb" },
	{ 0xe984f15a, "alloc_etherdev_mqs" },
	{ 0x8d2d0131, "netdev_lower_get_next" },
	{ 0xd19d6903, "flow_block_cb_lookup" },
	{ 0x2a8d73d4, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa4ca18ca, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xe30ee0a8, "device_set_wakeup_enable" },
	{ 0xeeed9276, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7d2b1ad9, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xeaff5e57, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xabab036c, "pci_find_ext_capability" },
	{ 0x6a7fa8e3, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9ad3d8dd, "devl_region_create" },
	{ 0xeed4b9d7, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb0b08c18, "skb_copy_bits" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x53c833fa, "devm_request_threaded_irq" },
	{ 0x57492ea3, "kthread_cancel_delayed_work_sync" },
	{ 0x4275a0f6, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0x15a0f8f0, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a1ff817, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdba0a9f6, "call_switchdev_notifiers" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0xe8021dfe, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xc9ed364f, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x4ccd38f7, "auxiliary_device_init" },
	{ 0x654de4c4, "pci_enable_device_mem" },
	{ 0x0e521a23, "consume_skb" },
	{ 0x0f86f560, "kthread_delayed_work_timer_fn" },
	{ 0x576d22f1, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4b7c8650, "pci_alloc_irq_vectors" },
	{ 0x02183f92, "flow_rule_match_l2tpv3" },
	{ 0xe9a8f6f7, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7f5fcc73, "xsk_tx_peek_release_desc_batch" },
	{ 0x072b81b5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdc9c6a9e, "dmam_alloc_attrs" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x3394cd81, "trace_raw_output_prep" },
	{ 0xb2debf7f, "devl_lock" },
	{ 0x7bb0ee68, "pci_dev_put" },
	{ 0x8d932b4a, "xp_fill_cb" },
	{ 0xd0b69a10, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa12079c0, "ndo_dflt_bridge_getlink" },
	{ 0x393ef610, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x84208744, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x9bc8e88a, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf849da1e, "xdp_features_set_redirect_target" },
	{ 0x48166b7c, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x804a2edd, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8fbb0c79, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x99e906c2, "request_firmware" },
	{ 0xd6b4264b, "trace_event_printf" },
	{ 0xbf2e03b1, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x86f53da6, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1057a279, "bsearch" },
	{ 0x9ed8db44, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xa417da9c, "gnss_insert_raw" },
	{ 0xeb2ebe5e, "pci_num_vf" },
	{ 0xc77b05e8, "flow_rule_match_eth_addrs" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0x236cf69b, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x95324921, "ptp_clock_index" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xfa4a02f6, "trace_event_raw_init" },
	{ 0xb36278f7, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd2044fc2, "xp_can_alloc" },
	{ 0x037a0cba, "kfree" },
	{ 0xaa60ec6f, "devlink_alloc_ns" },
	{ 0x0a71e5ea, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xe97425f0, "pcpu_hot" },
	{ 0xf880f780, "xdp_do_redirect" },
	{ 0xe092f1bd, "devlink_free" },
	{ 0x2d6750b6, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2c46ff18, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4ccf964f, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x4c9a89c6, "devl_rate_node_create" },
	{ 0xfc8cb33f, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xfd03489d, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x46f61ab0, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x447163d8, "devl_rate_nodes_destroy" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6b7473a4, "pci_irq_vector" },
	{ 0x7c7d34c6, "flow_rule_match_ipv4_addrs" },
	{ 0x77f5f89c, "dpll_pin_on_pin_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x135adcf5, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xa6876235, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x902c2242, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0e384050, "pskb_expand_head" },
	{ 0xb0988178, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x6b0a9fd1, "wake_up_process" },
	{ 0x8ef989e4, "devlink_flash_update_status_notify" },
	{ 0xad0155f0, "dev_driver_string" },
	{ 0xd83a0856, "pci_restore_msi_state" },
	{ 0x52e73506, "trace_event_buffer_commit" },
	{ 0x8e86be5e, "xdp_return_buff" },
	{ 0xe82b57bd, "dev_addr_mod" },
	{ 0x41865244, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x011f6dd0, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7c2f1139, "auxiliary_driver_unregister" },
	{ 0x8c21df2f, "dma_map_page_attrs" },
	{ 0xe4ee4082, "napi_complete_done" },
	{ 0xc98a47d6, "switchdev_handle_port_obj_del" },
	{ 0x66f9062c, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x77589b32, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf1a60c0d, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x94321f5f, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3535927f, "put_device" },
	{ 0x1812d2fc, "devm_free_irq" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x37850e5f, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x5545d705, "ipv6_skip_exthdr" },
	{ 0x5761811a, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x5ba398a2, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xf7ca1969, "netif_device_detach" },
	{ 0xb61b1fc0, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0xf3ea2926, "__free_pages" },
	{ 0x84d19267, "__hw_addr_unsync_dev" },
	{ 0x382b3541, "_dev_info" },
	{ 0xd52545a7, "napi_gro_receive" },
	{ 0x694d6df7, "netif_device_attach" },
	{ 0x5eaa15ee, "xdp_features_clear_redirect_target" },
	{ 0xc8451aaf, "netdev_pick_tx" },
	{ 0x25a88a3f, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x39fe19db, "xp_raw_get_dma" },
	{ 0x0b894c0c, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8371b00e, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xc980123f, "xdp_rxq_info_is_reg" },
	{ 0x444706cf, "flow_rule_match_enc_opts" },
	{ 0xf8882c6f, "devl_health_reporter_create" },
	{ 0x85bab1cf, "flow_block_cb_setup_simple" },
	{ 0x38d96d1d, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xafaf9ed6, "flow_rule_match_basic" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcb82d75c, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9d0ba33c, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0x65421c21, "vlan_dev_real_dev" },
	{ 0x92dcb61a, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6717a6bc, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd51cd461, "devm_kmemdup" },
	{ 0xb0f7b054, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x227de406, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x2cea23d5, "devlink_flash_update_timeout_notify" },
	{ 0x62161686, "devm_kfree" },
	{ 0x5598b4de, "_dev_err" },
	{ 0x8734bb89, "init_net" },
	{ 0xa855d4fe, "softnet_data" },
	{ 0xa04222e7, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x88dc2935, "xdp_return_frame" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x3a41de4c, "ptp_clock_register" },
	{ 0x74d96aaf, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xebdf84ee, "__wake_up_locked" },
	{ 0x92d39afb, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x0b14c78c, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x943d22d0, "__auxiliary_device_add" },
	{ 0x3cdfc73c, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x5b0c91cb, "netif_set_real_num_rx_queues" },
	{ 0x64427686, "do_wait_intr_irq" },
	{ 0x7f94661e, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xef51dfc7, "devl_port_register_with_ops" },
	{ 0x9c1cd39c, "devlink_fmsg_dump_skb" },
	{ 0x6245a23f, "pci_wait_for_pending_transaction" },
	{ 0x8fdd8991, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x15ab1783, "pci_device_is_present" },
	{ 0x7d7723a3, "debugfs_remove" },
	{ 0xb6a409aa, "pci_read_config_word" },
	{ 0xbfade662, "pcie_flr" },
	{ 0x6f691b30, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x8a65daf1, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x2b9e7b60, "dcbnl_ieee_notify" },
	{ 0xa3f221ab, "xsk_uses_need_wakeup" },
	{ 0x9593bd89, "register_netdev" },
	{ 0xcc691255, "dev_mc_del" },
	{ 0xfff89685, "trace_event_reg" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x3215c179, "free_netdev" },
	{ 0x2f2e902b, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("auxiliary:ice.sf");
MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6A2BC26E34C1743AFFAE3D9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
