#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x99e2baf1, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xabd0f8bf, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x3aaa938a, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xe1fe967f, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x7a2ccc16, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x25945dfc, "eth_header_parse" },
	{ 0xdf5fe8da, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xcde0b685, "eth_header_cache_update" },
	{ 0x3833ee07, "nf_register_net_hooks" },
	{ 0xff3741bc, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x66ceffe6, "ip_route_input_noref" },
	{ 0x2aff7ba4, "__dev_get_by_index" },
	{ 0x51610af5, "rtnl_link_unregister" },
	{ 0xa9479b21, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x961d970b, "sk_skb_reason_drop" },
	{ 0x3ee69f5d, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe191471f, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd747c38e, "ns_capable" },
	{ 0x1a937285, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x567cd943, "ethtool_op_get_link" },
	{ 0xf7e36696, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1cbda701, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xa0ceb28c, "__pskb_pull_tail" },
	{ 0x4b8742f7, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa9fde415, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x53b4629d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9136e272, "vlan_vid_add" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x032d5e47, "call_netdevice_notifiers" },
	{ 0xf187f92f, "vlan_vid_del" },
	{ 0x4a3cc7f2, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1704f964, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5b38bdcb, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x51854678, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x43cbaf42, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xee3d5f1e, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x142635ee, "dev_mc_unsync" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x752c1fe7, "dev_change_flags" },
	{ 0x5d7d2e71, "netdev_core_stats_inc" },
	{ 0x2f60060f, "dev_forward_skb" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe9ec2f5a, "register_netdevice" },
	{ 0x62bbe0a0, "__do_once_done" },
	{ 0xf8d8cf8a, "ip6_route_input_lookup" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x36fc7169, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9168bcd8, "dev_mc_sync" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x220833e2, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf06ca84d, "netdev_update_features" },
	{ 0x0e521a23, "consume_skb" },
	{ 0x05febc26, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x0a6fdb5f, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x07878b04, "rtnl_link_register" },
	{ 0xbeec144c, "netif_inherit_tso_max" },
	{ 0x6477ca46, "eth_header_cache" },
	{ 0x037a0cba, "kfree" },
	{ 0xe97425f0, "pcpu_hot" },
	{ 0xd53086ff, "ip_route_output_flow" },
	{ 0xc1782f55, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb332549e, "dev_uc_unsync" },
	{ 0x6a7b9c68, "ether_setup" },
	{ 0x902c2242, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb95949e1, "netdev_upper_dev_link" },
	{ 0x3d8139be, "register_pernet_subsys" },
	{ 0xe82b57bd, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AB58FA724CDA66279765F9B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
