#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x1a4220ba, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x2d797c1f, "");
SYMBOL_CRC(team_options_register, 0x0472c826, "");
SYMBOL_CRC(team_options_unregister, 0x19b3d3fc, "");
SYMBOL_CRC(team_option_inst_set_change, 0x77497198, "");
SYMBOL_CRC(team_options_change_check, 0x63e39d23, "");
SYMBOL_CRC(team_mode_register, 0xcae526a8, "");
SYMBOL_CRC(team_mode_unregister, 0xde202011, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x276a6589, "netdev_has_upper_dev" },
	{ 0xe490a0f6, "netdev_change_features" },
	{ 0x4ab32c58, "netdev_lower_state_changed" },
	{ 0x7a6afdef, "netdev_master_upper_dev_link" },
	{ 0x1989da91, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x826b255b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x68296b4f, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x023556c6, "pv_ops" },
	{ 0xdfa9b076, "vlan_vids_del_by_dev" },
	{ 0x57620194, "__netpoll_setup" },
	{ 0x53b4629d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9136e272, "vlan_vid_add" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x032d5e47, "call_netdevice_notifiers" },
	{ 0xf187f92f, "vlan_vid_del" },
	{ 0x4a3cc7f2, "dev_set_allmulti" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x018812b6, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1704f964, "skb_clone" },
	{ 0x1e66f5d2, "netif_carrier_on" },
	{ 0xbd0db653, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x51854678, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd4dc50cd, "genl_unregister_family" },
	{ 0x86118257, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0xd2123bfc, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x142635ee, "dev_mc_unsync" },
	{ 0x9a6262ec, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0xc936ca5b, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf4dfa14d, "dev_mc_sync_multiple" },
	{ 0xe9ec2f5a, "register_netdevice" },
	{ 0xa71dc982, "dev_set_mtu" },
	{ 0x3709e953, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc6b9d3cc, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x0e521a23, "consume_skb" },
	{ 0x406f566a, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9cc698b9, "netpoll_send_skb" },
	{ 0x07878b04, "rtnl_link_register" },
	{ 0xda56bc18, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9ec3bd67, "dev_uc_sync_multiple" },
	{ 0x037a0cba, "kfree" },
	{ 0x879e9005, "dev_set_promiscuity" },
	{ 0xe97425f0, "pcpu_hot" },
	{ 0xfc8cb33f, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb332549e, "dev_uc_unsync" },
	{ 0x6a7b9c68, "ether_setup" },
	{ 0x12aa5a57, "netlink_broadcast_filtered" },
	{ 0x902c2242, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe82b57bd, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x40b09d35, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdf5fe8da, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xdccee044, "__alloc_skb" },
	{ 0x979a0403, "module_put" },
	{ 0x42b836fe, "dev_uc_flush" },
	{ 0xcb82d75c, "dev_open" },
	{ 0x51610af5, "rtnl_link_unregister" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x0874e179, "dev_mc_flush" },
	{ 0x961d970b, "sk_skb_reason_drop" },
	{ 0xc656291b, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa3e232fb, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8fdd8991, "dev_close" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe191471f, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x567cd943, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xf7e36696, "__ethtool_get_link_ksettings" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe53a764b, "dev_set_mac_address" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C0C29584ECEAA469A78ADF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
