#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xb49d9def, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x76d5226f, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x728a9ef7, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x122f603a, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x0987b867, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x09f3eb6f, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xfc7b325a, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0xa30c4368, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x56849a5d, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x3e15285f, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xb055ac38, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x01070d80, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xcea5b304, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x567570b1, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x2495e29e, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0xdc1f89cf, "");
SYMBOL_CRC(rtw89_pm_ops, 0x72dbbcf1, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x27fc8d6b, "");
SYMBOL_CRC(rtw89_pci_probe, 0x32ff5b41, "");
SYMBOL_CRC(rtw89_pci_remove, 0xe26fc652, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x91b038e5, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0x49dd3ac1, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0xdad65f2e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x058cd1bd, "skb_unlink" },
	{ 0xbb3ee350, "dma_set_coherent_mask" },
	{ 0x9936922b, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x89a7ef78, "dma_free_attrs" },
	{ 0x1480be18, "rtw89_core_rx" },
	{ 0xa0b4731c, "param_ops_bool" },
	{ 0x018b89d3, "pci_release_regions" },
	{ 0xa22701b0, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa79f42cb, "rtw89_core_deinit" },
	{ 0x3111c282, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6eddd4ca, "pci_disable_device" },
	{ 0x42d99170, "dma_set_mask" },
	{ 0x1ca85b2c, "napi_schedule_prep" },
	{ 0x88840fc4, "pci_read_config_byte" },
	{ 0xd2123bfc, "dev_kfree_skb_any_reason" },
	{ 0xa1f32cc5, "rtw89_debug" },
	{ 0xf7a03b3d, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x36e8d122, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf7091d38, "rtw89_chip_info_setup" },
	{ 0x9db63aca, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa8770c9f, "pcie_capability_read_word" },
	{ 0xabab036c, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x85c83ede, "rtw89_alloc_ieee80211_hw" },
	{ 0x53c833fa, "devm_request_threaded_irq" },
	{ 0xc970e791, "pci_enable_device" },
	{ 0x865c55dd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x0e521a23, "consume_skb" },
	{ 0x8e6202ff, "pci_iomap" },
	{ 0x4b7c8650, "pci_alloc_irq_vectors" },
	{ 0x065b45cb, "complete" },
	{ 0x0c0ca831, "skb_dequeue" },
	{ 0x8fbb0c79, "dma_unmap_page_attrs" },
	{ 0xfc2b92ba, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe97425f0, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfcb49c63, "rtw89_core_napi_init" },
	{ 0x78a9afea, "rtw89_core_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad0155f0, "dev_driver_string" },
	{ 0x134342ed, "ieee80211_tx_status_skb" },
	{ 0xcab3a8e9, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8c21df2f, "dma_map_page_attrs" },
	{ 0xe4ee4082, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x1812d2fc, "devm_free_irq" },
	{ 0x37850e5f, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x382b3541, "_dev_info" },
	{ 0xff51b28c, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x866a72ad, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6717a6bc, "__dma_sync_single_for_cpu" },
	{ 0x5598b4de, "_dev_err" },
	{ 0x976328b7, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8e938cc4, "rtw89_core_napi_deinit" },
	{ 0xa0972089, "skb_push" },
	{ 0x94d1d899, "dma_alloc_attrs" },
	{ 0xd8c58672, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x30908412, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc13f8a79, "pci_iounmap" },
	{ 0xe3f57b04, "rtw89_debug_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0x4817bf75, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff71fa37, "rtw89_ser_notify" },
	{ 0x7935ab48, "__netdev_alloc_skb" },
	{ 0x3b336129, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "00866704F62F67B8680AC87");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
