#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xe3ac87ea, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x9a5db91e, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xece698a1, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xc2f4f892, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xfd70f98b, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xc71518c6, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x15331ab3, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xd74745de, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xc50b7299, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x208b63ce, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xe17b3c2f, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xccfa7513, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x38d6ad17, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x19fde5c2, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xd86adf7e, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x04be6f0f, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xa2ce31ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2968e0cc, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcf07dcff, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe97425f0, "pcpu_hot" },
	{ 0xb61b1fc0, "const_pcpu_hot" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x3a6df5f9, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4708fbcd, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x0eeb0362, "iscsi_prep_data_out_pdu" },
	{ 0x357582ba, "iscsi_put_task" },
	{ 0x9e2e230d, "iscsi_conn_failure" },
	{ 0x39e371a1, "iscsi_conn_setup" },
	{ 0x2df1c1e3, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9b47c377, "crypto_ahash_update" },
	{ 0x780ae97e, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x494e0743, "skb_prepare_seq_read" },
	{ 0x91a91d86, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc9c67ef7, "skb_abort_seq_read" },
	{ 0xe8a029a1, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x28bfde0a, "iscsi_complete_pdu" },
	{ 0x183d546f, "iscsi_verify_itt" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x84da931c, "iscsi_itt_to_ctask" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc79e80cb, "iscsi_get_task" },
	{ 0x74b8302f, "iscsi_update_cmdsn" },
	{ 0xda330947, "__iscsi_complete_pdu" },
	{ 0xb51dfbe0, "iscsi_requeue_task" },
	{ 0xb1643ff1, "param_ops_int" },
	{ 0xbc0de039, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
