#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x4d5b35ed, "usb_alloc_urb" },
	{ 0xf22f2752, "kthread_create_on_node" },
	{ 0x61a27251, "usb_set_interface" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xb59eff80, "param_array_ops" },
	{ 0xd4c6953c, "param_ops_uint" },
	{ 0xc86d8cd1, "param_ops_charp" },
	{ 0xa0b4731c, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2c415eae, "usb_register_driver" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0xbbf281af, "usbatm_usb_disconnect" },
	{ 0x382b3541, "_dev_info" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x59eb3264, "usb_control_msg" },
	{ 0x037a0cba, "kfree" },
	{ 0x5598b4de, "_dev_err" },
	{ 0xa0d3a9d8, "kthread_stop" },
	{ 0x0a77c1a4, "usb_kill_urb" },
	{ 0x9300177c, "usb_free_urb" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x01000e51, "schedule" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5871b800, "usb_ifnum_to_if" },
	{ 0x7c7cd07c, "usb_driver_claim_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe4d58c9e, "usb_submit_urb" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x99e906c2, "request_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x23b73517, "usb_bulk_msg" },
	{ 0x5e0bd2e0, "kernel_param_lock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xa916b694, "strnlen" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xa5cd56b1, "kernel_param_unlock" },
	{ 0x98c16e5a, "_dev_warn" },
	{ 0x5a921311, "strncmp" },
	{ 0xd3481249, "crc32_be_arch" },
	{ 0x74164aa3, "usb_reset_device" },
	{ 0x6a86996b, "request_firmware_nowait" },
	{ 0x97937117, "usbatm_usb_probe" },
	{ 0xb2bc141c, "atm_dev_signal_change" },
	{ 0x6b0a9fd1, "wake_up_process" },
	{ 0xee5582c7, "usb_deregister" },
	{ 0xb70bd98c, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8129CE057C6C61D57F29ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
