#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0xfc1b4729, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0xbd28656d, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0x4b0a82ee, "_gpl");
SYMBOL_CRC(rndis_uninit, 0xf2645178, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0x8b4083f4, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0xfd86743e, "_gpl");
SYMBOL_CRC(rndis_register, 0xe980dbcd, "_gpl");
SYMBOL_CRC(rndis_deregister, 0x79e93d20, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0x4c234302, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0x8dbb77dd, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0x5681699f, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0x05ed9c5f, "_gpl");
SYMBOL_CRC(rndis_free_response, 0x38c298ba, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0x0c134eaf, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0xfc9cad68, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde4f1116, "gether_get_host_addr_u8" },
	{ 0x9bbb64fb, "gether_set_qmult" },
	{ 0xb8703414, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfd4d52a5, "gether_get_host_addr" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa0972089, "skb_push" },
	{ 0x9469e514, "gether_set_gadget" },
	{ 0x6573f300, "ida_free" },
	{ 0x3215c179, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c0de815, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x61a075d4, "usb_put_function_instance" },
	{ 0xc76a52ba, "netif_tx_wake_queue" },
	{ 0xfcfaa7cf, "gether_connect" },
	{ 0x3b0eb34d, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x099cff40, "gether_set_host_addr" },
	{ 0x826b255b, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd155b92f, "seq_read" },
	{ 0x2178f972, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0x66ab0840, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x23191b72, "gether_get_ifname" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x4fb43a78, "gether_set_ifname" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xde5280d0, "remove_proc_entry" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0x018812b6, "netif_carrier_off" },
	{ 0x394c8403, "seq_printf" },
	{ 0x1e66f5d2, "netif_carrier_on" },
	{ 0xda2845c3, "single_release" },
	{ 0x5433293c, "gether_setup_name_default" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0xc8c48f39, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0xd2123bfc, "dev_kfree_skb_any_reason" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0x1a6bca18, "single_open" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xcf914279, "usb_free_all_descriptors" },
	{ 0x99083eb4, "usb_gstrings_attach" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x8284d9fb, "dev_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf83f5541, "usb_os_desc_prepare_interf_dir" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x0e521a23, "consume_skb" },
	{ 0x691a9696, "usb_interface_id" },
	{ 0x2108b20c, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6217556, "seq_lseek" },
	{ 0xe08c9091, "proc_create_data" },
	{ 0xfd200654, "gether_disconnect" },
	{ 0x63d09afe, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf920dc2d, "config_ep_by_speed" },
	{ 0x07ccc698, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9604cb80, "gether_register_netdev" },
	{ 0xff51b28c, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x0feafec9, "usb_function_register" },
	{ 0x5598b4de, "_dev_err" },
	{ 0xa9479b21, "skb_pull" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "4FC2C0E068EB8031083783C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
