#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0xef3bbd78, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x5360ec15, "");
SYMBOL_CRC(dccp_v4_send_check, 0x04b79721, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x53924870, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x0dfb47a5, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xc5edd710, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xb1b18fa9, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xbeb57248, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4cec0da, "dccp_reqsk_send_ack" },
	{ 0x1e231c3c, "inet_lookup_reuseport" },
	{ 0x18a0cf9b, "__inet_lookup_listener" },
	{ 0x949659f4, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x7a340b24, "__skb_ext_del" },
	{ 0x87be703a, "sock_common_getsockopt" },
	{ 0xa94d9161, "inet_bind" },
	{ 0x6147552e, "__inet_inherit_port" },
	{ 0x9abd5d53, "inet_dccp_listen" },
	{ 0xcc4edf0d, "security_inet_conn_request" },
	{ 0x037a0cba, "kfree" },
	{ 0xef752521, "inet_register_protosw" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0xe97425f0, "pcpu_hot" },
	{ 0x2cd127fe, "__xfrm_policy_check" },
	{ 0xd24761c8, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd53086ff, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8d9306cd, "inet_csk_reqsk_queue_hash_add" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa4104fe0, "sk_error_report" },
	{ 0x3d8139be, "register_pernet_subsys" },
	{ 0x9744c2dc, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x4314a70b, "inet_getname" },
	{ 0x0c6beb33, "inet_stream_connect" },
	{ 0x4492e5b0, "proto_unregister" },
	{ 0x88d1aa91, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x49ef0704, "inet_ehashfn" },
	{ 0x18558bee, "inet_twsk_purge" },
	{ 0x22d25f2a, "dccp_done" },
	{ 0x4b225b53, "inet_release" },
	{ 0xad07ff54, "__sk_dst_check" },
	{ 0x459e69b3, "dccp_disconnect" },
	{ 0xbc69adda, "ip_route_output_key_hash" },
	{ 0x14d69726, "proto_register" },
	{ 0xd3cffcc3, "inet_hash" },
	{ 0xa01562ce, "__sk_receive_skb" },
	{ 0xeff67955, "dccp_poll" },
	{ 0xdd3829bc, "inet_ctl_sock_create" },
	{ 0x5d03b2f7, "dccp_death_row" },
	{ 0x2db7ae39, "inet_csk_get_port" },
	{ 0xd25c287f, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x17a53c8c, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x729d7919, "inet_accept" },
	{ 0x8d2d1083, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6777e635, "ip6_mtu" },
	{ 0x961d970b, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x23c5a6f4, "inet_add_protocol" },
	{ 0x018e6095, "inet_shutdown" },
	{ 0x1eeb6bf4, "sk_free" },
	{ 0x2152b0d8, "dccp_close" },
	{ 0x3944e2e5, "dccp_reqsk_init" },
	{ 0xd38832b6, "inet_hash_connect" },
	{ 0xe29d3445, "kmem_cache_free" },
	{ 0x7b24e57d, "inet_csk_route_child_sock" },
	{ 0x4dbe6cb4, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc83877f1, "security_sk_classify_flow" },
	{ 0x65aa4fdc, "inet_csk_update_pmtu" },
	{ 0x605362d5, "dccp_getsockopt" },
	{ 0x1a659308, "dccp_parse_options" },
	{ 0x1cbda701, "unregister_pernet_subsys" },
	{ 0x6379da71, "skb_checksum" },
	{ 0xc72f91bc, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7645f56, "sock_no_mmap" },
	{ 0xa0ceb28c, "__pskb_pull_tail" },
	{ 0x5e2c1de2, "dccp_child_process" },
	{ 0x885d0cb0, "sock_common_recvmsg" },
	{ 0x9eeb1245, "dccp_setsockopt" },
	{ 0xae117365, "dccp_ioctl" },
	{ 0x93c787dc, "inet_sk_rebuild_header" },
	{ 0xbe95b23f, "inet_del_protocol" },
	{ 0x070feb55, "ipv4_mtu" },
	{ 0x27ab8f85, "dccp_recvmsg" },
	{ 0xd3d60bd6, "inet_sendmsg" },
	{ 0xbd76e801, "dccp_check_req" },
	{ 0xed446e61, "dccp_create_openreq_child" },
	{ 0x0724c406, "inet_csk_prepare_forced_close" },
	{ 0x3f3510ff, "security_skb_classify_flow" },
	{ 0xa8c5b381, "sock_pfree" },
	{ 0xebac4e28, "dccp_rcv_established" },
	{ 0xe33abbc2, "dccp_send_sync" },
	{ 0x5b38bdcb, "dst_release" },
	{ 0xec0fc339, "sock_release" },
	{ 0xf4cddee6, "dccp_make_response" },
	{ 0x49524cb2, "dccp_destroy_sock" },
	{ 0x48ea981c, "dccp_ctl_make_reset" },
	{ 0xac29e39c, "sock_gettstamp" },
	{ 0xe0ad9d14, "sk_setup_caps" },
	{ 0x4140c07e, "ip_build_and_send_pkt" },
	{ 0x4408288f, "dccp_sendmsg" },
	{ 0x0c357a21, "ip_setsockopt" },
	{ 0x3ac2c6cf, "dccp_hashinfo" },
	{ 0x95827240, "inet_twsk_put" },
	{ 0x7d05d15c, "inet_unhash" },
	{ 0x99829608, "ip_getsockopt" },
	{ 0x165ea80e, "dccp_set_state" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x43fde6f9, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x6aef57ba, "inet_csk_reqsk_queue_drop" },
	{ 0xbc2638b1, "__inet_lookup_established" },
	{ 0xa1b9e83c, "inet_bhash2_reset_saddr" },
	{ 0xead1e9f6, "inet_csk_addr2sockaddr" },
	{ 0xf35d2ce1, "inet_unregister_protosw" },
	{ 0x90af1f34, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5fd87858, "dccp_shutdown" },
	{ 0x134693f7, "inet_bhash2_update_saddr" },
	{ 0x959e9a05, "dccp_connect" },
	{ 0x99492679, "dccp_rcv_state_process" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "9D2D9D3C5C17D263ECCB024");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
