#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xe9ebda3f, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x1fad08fd, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x285e6272, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xa06f2194, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x9188b3e3, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x4f3f71d1, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x957005c8, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x40a916e1, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x2410f155, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xe01f36a0, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x525de337, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xf22a430c, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x70808754, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x83d1541f, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x0537c0ed, "");
SYMBOL_CRC(nf_nat_follow_master, 0xd811d1cd, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xc4df2741, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xf6666325, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x4abea6c9, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xc9b1667d, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x052fac46, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x60a4c771, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0e384050, "pskb_expand_head" },
	{ 0x3d8139be, "register_pernet_subsys" },
	{ 0x9e50a071, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x8eab2f2c, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x5545d705, "ipv6_skip_exthdr" },
	{ 0x3833ee07, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x979a0403, "module_put" },
	{ 0xe5d49d4e, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x46fdbf06, "nf_ct_expect_related_report" },
	{ 0xdc2b42fe, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x0944a7d7, "nf_hook_entries_delete_raw" },
	{ 0x981e6b4a, "skb_ensure_writable" },
	{ 0x1a937285, "nf_unregister_net_hooks" },
	{ 0x9549ec2f, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0x1cbda701, "unregister_pernet_subsys" },
	{ 0x6379da71, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa092846e, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x9ce4f36a, "nf_ip_checksum" },
	{ 0x665750f3, "register_btf_kfunc_id_set" },
	{ 0xf4b5e519, "nf_ct_iterate_destroy" },
	{ 0x0e4262c6, "__siphash_unaligned" },
	{ 0x4a07ef37, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1a769fa1, "__put_net" },
	{ 0xed4116bd, "crc32c_le_arch" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7a4ebc6c, "__skb_checksum" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3887d560, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x543d453f, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5b38bdcb, "dst_release" },
	{ 0xb5863a00, "nf_ct_l4proto_find" },
	{ 0x43803788, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x4fe0a268, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x91882578, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3592e12b, "nf_ct_ext_add" },
	{ 0x62bbe0a0, "__do_once_done" },
	{ 0x65f97992, "nf_conntrack_find_get" },
	{ 0x3709e953, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xb484a19f, "nf_ip6_checksum" },
	{ 0xb0b08c18, "skb_copy_bits" },
	{ 0x1f8e6c72, "nf_hook_entries_insert_raw" },
	{ 0x36fb7f49, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4a093583, "nf_ct_seqadj_set" },
	{ 0x865c55dd, "skb_put" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6348810b, "nf_ct_helper_expectfn_unregister" },
	{ 0x02bffcd6, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x148fbf70, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0xee42be85, "ip6_route_me_harder" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "10A1183F61EF65871BF01DF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
